Package org.kapott.hbci.manager

## Class QRCode

- java.lang.Object
- - org.kapott.hbci.manager.QRCode

    public class QRCode
    extends java.lang.Object

Klasse zum Parsen von QR-Codes.

### Constructor Summary

Constructors
`QRCode​(java.lang.String hhd, java.lang.String msg)` ct.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte[]` `getImage()` Liefert die Rohdaten des Bildes.
`java.lang.String` `getMessage()` Liefert den fuer den User bestimmten Text.
`java.lang.String` `getMimetype()` Liefert den Mimetype des Bildes.
`static QRCode` `tryParse​(java.lang.String hhd, java.lang.String msg)` Versucht die Daten als QR-Code zu parsen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QRCode

    public QRCode​(java.lang.String hhd,
                  java.lang.String msg)
           throws java.lang.Exception

ct.

Parameters:
  `hhd` - die Rohdaten aus dem HHDuc als String.
  `msg` - Die Sparkassen verwenden QR-Code in HHD 1.3 und uebertragen dort (wie beim Flickercode auch) die maschinenlesbaren Daten direkt in der Text-Nachricht per Base64-Codierung in den Tags CHLGUC und CHLGTEXT. Wir brauchen daher auch den eigentlich dem User anzuzeigenden Text, um den Code bei Bedarf dort zu extrahieren.
Throws:
  `java.lang.Exception` - wenn die Daten nicht als Bild geparst werden konnten.

### Method Detail

#### tryParse

    public static QRCode tryParse​(java.lang.String hhd,
                                  java.lang.String msg)

Versucht die Daten als QR-Code zu parsen.

Parameters:
  `hhd` - der HHDuc.
  `msg` - die Nachricht.
Returns:
  der QR-Code oder NULL.

#### getImage

    public byte[] getImage()

Liefert die Rohdaten des Bildes.

Returns:
  image die Rohdaten des Bildes.

#### getMimetype

    public java.lang.String getMimetype()

Liefert den Mimetype des Bildes.

Returns:
  mimetype Kann durchaus NULL sein.

#### getMessage

    public java.lang.String getMessage()

Liefert den fuer den User bestimmten Text. Falls die Bank den QR-Code dort per CHLGUC/CHLGTEXT embedded hat, dann wird hier der bereinigte Text zurueckgeliefert.

Returns:
  der ggf. bereinigte Text.